org.springframework.batch.integration.async

## Class AsyncItemWriter<T>

- java.lang.Object
- - org.springframework.batch.integration.async.AsyncItemWriter<T>

- All Implemented Interfaces:
    ItemWriter<java.util.concurrent.Future<T>>, org.springframework.beans.factory.InitializingBean

      public class AsyncItemWriter<T>
      extends java.lang.Object
      implements ItemWriter<java.util.concurrent.Future<T>>, org.springframework.beans.factory.InitializingBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncItemWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `void` | `setDelegate(ItemWriter<T> delegate)`
    `void` | `write(java.util.List<? extends java.util.concurrent.Future<T>> items)` Process the supplied data element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncItemWriter

          public AsyncItemWriter()

  - ### Method Detail

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception`

    - #### setDelegate

          public void setDelegate(ItemWriter<T> delegate)

      Parameters:
        `delegate` - ItemWriter that does the actual writing of the Future results

    - #### write

          public void write(java.util.List<? extends java.util.concurrent.Future<T>> items)
                     throws java.lang.Exception

      Description copied from interface: `ItemWriter`
      Process the supplied data element. Will not be called with any null items in normal operation.
      Specified by:
        `write` in interface `ItemWriter<java.util.concurrent.Future<T>>`
      Parameters:
        `items` - items to be written
      Throws:
        `java.lang.Exception` - if there are errors. The framework will catch the exception and convert or rethrow it as appropriate.